Commits

coady  committed b5bfc02

PyLucene 3.3, 3.4 and CherryPy 3.1 deprecated.

  • Participants
  • Parent commits 6738014

Comments (0)

Files changed (3)

File lupyne/engine/__init__.py

 from .spatial import PointField, PolygonField
 
 assert lucene.VERSION >= '3.2'
-if lucene.VERSION < '3.3':
-    warnings.warn('Support for lucene 3.2 will be removed in the next release.', DeprecationWarning)
+if lucene.VERSION < '3.5':
+    warnings.warn('Support for lucene 3.2, 3.3, and 3.4 will be removed in the next release.', DeprecationWarning)

File lupyne/server.py

     import simplejson as json
 except ImportError:
     import json
+import warnings
 import lucene
 import cherrypy
 try:
 except ValueError:
     import engine, client
 
+if cherrypy.__version__ < '3.2':
+    warnings.warn('Support for cherrypy 3.1 will be removed in the next release.', DeprecationWarning)
+
 def tool(hook):
     "Return decorator to register tool at given hook point."
     def decorator(func):
  * Spellchecking.
  * Near real-time indexing.
 
-Changes in 1.2:
+Changes in 1.2+:
 ==================
  * Engine:
    
-   - PyLucene 3.6 supported
-   - PyLucene 3.1 deprecated
-   - Support for all IndexWriterConfig options
-   - Dynamic filter wrappers
-   - Flexible hit sorting and filtering
-   - TermsFilter and ParallelIndexer for searching external metadata
+   - PyLucene 3.3 and 3.4 deprecated
+   - Optimized searching and sorting with unlimited count
+   - Support for contrib grouping collectors and faceting
+   - FieldCache comparators optimized for memory and real-time searching
 
  * Server:
    
-   - Synchronization of searcher with remote hosts
-   - Automatic promotion of searcher to indexer
+   - CherryPy 3.1 deprecated
 
  * Client:
    
-   - Resource pooling for single hosts
-   - Replica support with automatic failover
+   - Support for https
 """
 
 import os